Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037482
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Otherstrivialhave not tried2017-12-14 16:162018-05-09 19:29
ReporteralostaleView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisione72425b17d36
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037482: unused PL variables - functional

DescriptionIn the PL code there are many unused variables.
Steps To ReproduceRun pgpgsql-check and check for unused variables.
TagsNo tags attached.
Attached Filesdiff file icon pl-warns-functional.diff [^] (64,890 bytes) 2017-12-14 16:16 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037481 closedshuehner Openbravo ERP unused PL variables - platform 
related to defect 0041871 closedmarkmm82 Localization Pack: Spain Unused variables in database functions of Invoice Register Book module 

-  Notes
(0101041)
alostale (developer)
2017-12-14 16:24

Attached SHU's diff.
(0101585)
hgbot (developer)
2018-01-05 12:42

Repository: erp/devel/pi
Changeset: 3d2566d2bf351bc3c8198fe0473bd31f26fc760b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Dec 19 15:40:18 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d2566d2bf351bc3c8198fe0473bd31f26fc760b [^]

Fixes Issue 37482. Remove unused variables in PL's

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_ORD.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_TAX_PAYMENT.xml
M src-db/database/model/functions/A_ASSET_CREATE.xml
M src-db/database/model/functions/A_ASSET_POST.xml
M src-db/database/model/functions/C_CHANGEPROJECTSTATUS.xml
M src-db/database/model/functions/C_DEBT_PAYMENT_BALANCING_REP.xml
M src-db/database/model/functions/C_DP_MANAGEMENT_POST.xml
M src-db/database/model/functions/C_INVOICELINE_TAX.xml
M src-db/database/model/functions/C_INVOICE_CANCEL.xml
M src-db/database/model/functions/C_INVOICE_CREATE.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/functions/C_SETTLEMENT_POST.xml
M src-db/database/model/functions/C_TAXPAYMENT_POST.xml
M src-db/database/model/functions/C_VALIDCOMBINATION_CLONE.xml
M src-db/database/model/functions/FACT_ACCT_RESET.xml
M src-db/database/model/functions/GL_JOURNAL_POST.xml
M src-db/database/model/functions/MA_PRODUCTION_COST.xml
M src-db/database/model/functions/MA_STANDARD_COST_SEQUENCE.xml
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
M src-db/database/model/functions/MA_WORKREQUIREMENT_CLOSE.xml
M src-db/database/model/functions/MA_WORKREQUIREMENT_PROCESS.xml
M src-db/database/model/functions/MA_WRPHASE_CLOSE.xml
M src-db/database/model/functions/M_DISCOUNTSCHEMA_RESEQ.xml
M src-db/database/model/functions/M_FREIGHT_CALCULATE.xml
M src-db/database/model/functions/M_GENERATE_AVERAGE_COSTS.xml
M src-db/database/model/functions/M_GENERATE_STANDARD_COSTS.xml
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
M src-db/database/model/functions/M_INOUTEXPLODEBOMNOTSTOCK.xml
M src-db/database/model/functions/M_INOUT_CREATE.xml
M src-db/database/model/functions/M_INOUT_CREATEINVOICE.xml
M src-db/database/model/functions/M_INOUT_UPDATEQUANTITYES.xml
M src-db/database/model/functions/M_PROMOTION_ADJUSTMENT.xml
M src-db/database/model/functions/M_REQUISITION_CREATEPO.xml
M src-db/database/model/functions/M_UNIQUELOCATOR_RULE_PARAM.xml
M src-db/database/model/triggers/A_ASSET_TRG.xml
M src-db/database/model/triggers/C_ATTACHMENT_METHOD_MOD_TRG.xml
M src-db/database/model/triggers/C_BPARTNER_TRG.xml
M src-db/database/model/triggers/C_INVLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/C_INVOICELINE_TRG.xml
M src-db/database/model/triggers/C_INVOICELINE_TRG2.xml
M src-db/database/model/triggers/C_ORDERLINE2_TRG.xml
M src-db/database/model/triggers/C_ORDERLINE_TRG2.xml
M src-db/database/model/triggers/C_ORDLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/C_PROJECTLINE_TRG.xml
M src-db/database/model/triggers/C_PROJECT_TRG3.xml
M src-db/database/model/triggers/MA_GLOBALUSE_TRG.xml
M src-db/database/model/triggers/M_COSTADJUSTMENTLINE_CHK_TRG.xml
M src-db/database/model/triggers/M_INTERNAL_CONSUMPTIONLINE_TRG.xml
M src-db/database/model/triggers/M_INVENTORYLINE2_TRG.xml
M src-db/database/model/triggers/M_IOLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/M_MOVEMENTLINE_TRG.xml
M src-db/database/model/triggers/M_OFFER_TYPE_MOD_TRG.xml
M src-db/database/model/triggers/M_PRODUCTIONLINE_TRG.xml
M src-db/database/model/triggers/M_REQUISITIONLINE_TRG.xml
M src-db/database/model/triggers/M_RESERVATION_TRG.xml
M src-db/database/model/triggers/M_STORAGE_DETAIL_TRG.xml
M src-db/database/model/triggers/M_TRANSACTION_TRG2.xml
M src-db/database/model/triggers/S_TIMEEXPENSELINE_TRG.xml
---
(0101586)
hgbot (developer)
2018-01-05 12:42

Repository: erp/devel/pi
Changeset: 68d09ac13f38cad809b1018e07a0a646732852ef
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Dec 19 15:40:46 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/68d09ac13f38cad809b1018e07a0a646732852ef [^]

Related to Issue 37482. Revert variables that has been removed and use them
in the error message. Also updated copyrights

---
M src-db/database/model/triggers/C_INVLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/C_ORDLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/MA_GLOBALUSE_TRG.xml
M src-db/database/model/triggers/M_INTERNAL_CONSUMPTIONLINE_TRG.xml
M src-db/database/model/triggers/M_INVENTORYLINE2_TRG.xml
M src-db/database/model/triggers/M_IOLINE_CHK_RESTRICTIONS_TRG.xml
M src-db/database/model/triggers/M_MOVEMENTLINE_TRG.xml
M src-db/database/model/triggers/M_PRODUCTIONLINE_TRG.xml
M src-db/database/model/triggers/M_REQUISITIONLINE_TRG.xml
M src-db/database/model/triggers/M_RESERVATION_TRG.xml
M src-db/database/model/triggers/M_STORAGE_DETAIL_TRG.xml
M src-db/database/model/triggers/M_TRANSACTION_TRG2.xml
M src-db/database/model/triggers/S_TIMEEXPENSELINE_TRG.xml
---
(0101587)
hgbot (developer)
2018-01-05 12:42

Repository: erp/devel/pi
Changeset: 00155f72a180676aba2aa50b170b30cfac5fef33
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Dec 19 16:08:53 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/00155f72a180676aba2aa50b170b30cfac5fef33 [^]

Related to Issue 37482. Removed unused variable and code in PL.
The check for stock consistency is done by the call to the
m_check_stock function

---
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
---
(0101588)
hgbot (developer)
2018-01-05 12:43

Repository: erp/devel/pi
Changeset: ad429b2b7700de0f2787bef3d4dda14d7fbdaedb
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Dec 19 17:40:09 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ad429b2b7700de0f2787bef3d4dda14d7fbdaedb [^]

Related to Issue 37482. Removed unnecessary comment and added a deleted
variable to include it in the returned error message

---
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
---
(0101624)
hgbot (developer)
2018-01-08 17:47

Repository: erp/devel/pi
Changeset: 6dac42a5643f382f2c4db0dd4f7da0ef7c6475b0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 08 17:47:09 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6dac42a5643f382f2c4db0dd4f7da0ef7c6475b0 [^]

Related to Issue 37482. Removed unused variables in PL

---
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
---
(0102159)
dmitry_mezentsev (developer)
2018-02-02 17:21

Not closed for 28 days!!
(0102640)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102641)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102642)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102643)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102648)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0104029)
hgbot (developer)
2018-04-23 15:36

Repository: erp/pmods/org.openbravo.accrualsanddeferrals
Changeset: 4e1d60eda4715e06aaf6383485340b191b9f07eb
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Apr 02 17:19:48 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/4e1d60eda4715e06aaf6383485340b191b9f07eb [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/functions/ACCDEF_GENERATE_PLAN.xml
M src-db/database/model/functions/ACCDEF_UNPOST.xml
M src-db/database/model/triggers/ACCDEF_PLAN_CHK_TRG.xml
---
(0104030)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.accrualsanddeferrals
Changeset: bbcdfe76a4952c786dc817ea647881f7eb39d5a5
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 15:34:43 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/bbcdfe76a4952c786dc817ea647881f7eb39d5a5 [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/functions/ACCDEF_GENERATE_PLAN.xml
M src-db/database/model/functions/ACCDEF_UNPOST.xml
---
(0104031)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.creditmanagement.dunning
Changeset: 839407e868549809d1c7bce30db9353039924afc
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Apr 02 21:16:06 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/839407e868549809d1c7bce30db9353039924afc [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/triggers/DUN_FINPAYMENTSCH_TRG.xml
---
(0104032)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.creditmanagement.dunning
Changeset: 39dcb968926bfa305894d8db48aad229d7736513
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 15:33:20 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/39dcb968926bfa305894d8db48aad229d7736513 [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/triggers/DUN_FINPAYMENTSCH_TRG.xml
---
(0104033)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.interco
Changeset: 25fe532fa744e1da84d86d23f21d8db2dbadc465
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Apr 03 13:55:09 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/25fe532fa744e1da84d86d23f21d8db2dbadc465 [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/functions/INTERCO_CREATE_INVOICE.xml
M src-db/database/model/functions/INTERCO_CREATE_ORDER.xml
---
(0104034)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.interco
Changeset: 2186547a7ed4684e7468e841dc7560cb79770906
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 15:32:15 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/2186547a7ed4684e7468e841dc7560cb79770906 [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/functions/INTERCO_CREATE_INVOICE.xml
M src-db/database/model/functions/INTERCO_CREATE_ORDER.xml
---
(0104035)
hgbot (developer)
2018-04-23 15:37

Repository: erp/mods/org.openbravo.localization.spain.referencedata.taxes
Changeset: aa63fb2b44aa41475477db594263578cefd0467d
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Apr 03 13:55:45 2018 -0400
URL: http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/aa63fb2b44aa41475477db594263578cefd0467d [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/functions/ESTAX_ACCOUNTING_TAB.xml
---
(0104036)
hgbot (developer)
2018-04-23 15:37

Repository: erp/mods/org.openbravo.localization.spain.referencedata.taxes
Changeset: cb7d7cb0e51273367f30febab29a35224b4261b8
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 15:29:35 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/cb7d7cb0e51273367f30febab29a35224b4261b8 [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/functions/ESTAX_ACCOUNTING_TAB.xml
---
(0104037)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.materialmgmt.freightmgmt
Changeset: 688d46634cb04cadb59d8548dc241f4f7496e252
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Apr 02 17:19:39 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt/rev/688d46634cb04cadb59d8548dc241f4f7496e252 [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/functions/OBMFM_INOUTCREATE_EP.xml
---
(0104038)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.materialmgmt.freightmgmt
Changeset: fced20f72ce3510b0b1cb01f962dbd190b731fdb
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 15:27:41 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt/rev/fced20f72ce3510b0b1cb01f962dbd190b731fdb [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/functions/OBMFM_INOUTCREATE_EP.xml
---
(0104039)
hgbot (developer)
2018-04-23 15:37

Repository: erp/pmods/org.openbravo.module.intrastat
Changeset: 24643eda2a5cc790973daceac4246744bce1a5d4
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Apr 02 17:19:43 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/24643eda2a5cc790973daceac4246744bce1a5d4 [^]

Fixes issue 37482: Unused PL variables - functional

The Unused and Unread Variables was removed

---
M src-db/database/model/triggers/INTR_C_INVOICELINE_TRG.xml
M src-db/database/model/triggers/INTR_C_ORDERLINE_TRG.xml
M src-db/database/model/triggers/INTR_M_INOUTLINE_TRG.xml
---
(0104044)
hgbot (developer)
2018-04-23 21:33

Repository: erp/pmods/org.openbravo.module.invoicesregisterbook
Changeset: de22d174b80b18faf56c358b2aed2e24ed9f0c89
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 17:57:56 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicesregisterbook/rev/de22d174b80b18faf56c358b2aed2e24ed9f0c89 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/functions/OBIRB_GENERATE_CODE.xml
---
(0104045)
hgbot (developer)
2018-04-23 21:34

Repository: erp/mods/org.openbravo.module.remittance
Changeset: c262fe039fffa93fa10a13a0f54f823f1419c3b7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 17:58:52 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/c262fe039fffa93fa10a13a0f54f823f1419c3b7 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/functions/REM_GETREMLINECURRENCY.xml
M src-db/database/model/functions/REM_ISPAYMENTCONFIRMED.xml
M src-db/database/model/functions/REM_SHOWALTERNATIVECURRENCY.xml
---
(0104046)
hgbot (developer)
2018-04-23 21:35

Repository: erp/pmods/org.openbravo.warehouse.pickinglist
Changeset: 3afda303b53fa87cc7d9afb116f798e8a51785d1
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 17:59:43 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/3afda303b53fa87cc7d9afb116f798e8a51785d1 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/functions/OBWPL_MOVEMENT_POST_EP.xml
---
(0104047)
hgbot (developer)
2018-04-23 21:35

Repository: erp/pmods/org.openbravo.contract.services
Changeset: a464669f3e5242a4631cad13690f9d6fc94fb356
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 18:01:20 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/a464669f3e5242a4631cad13690f9d6fc94fb356 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/functions/OBSCNTR_GET_DIS_CUTOFF_DAYS.xml
M src-db/database/model/functions/OBSCNTR_GET_DIS_INVOICE_DAY.xml
M src-db/database/model/functions/OBSCNTR_GET_DIS_INVOICING_DAY.xml
---
(0104048)
hgbot (developer)
2018-04-23 21:37

Repository: erp/pmods/org.openbravo.idl
Changeset: ba5c9851f6993ffd2bee35994c005fadd4b5ec36
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 21:37:22 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/ba5c9851f6993ffd2bee35994c005fadd4b5ec36 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/triggers/IDL_DATATYPE_VALIDATION_TRG.xml
---
(0104049)
hgbot (developer)
2018-04-23 21:38

Repository: erp/pmods/org.openbravo.creditmanagement.dunning
Changeset: 61feb33994de723eabdd9b62c7636773346a559e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 21:38:24 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/61feb33994de723eabdd9b62c7636773346a559e [^]

Related to issue 37482: Code review improvements

---
M src-db/database/model/triggers/DUN_FINPAYMENTSCH_TRG.xml
---
(0104056)
hgbot (developer)
2018-04-24 14:14

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: fa52f4a6e31b2a1583cf8e5da5b35567ffb1e9b3
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Apr 24 14:13:24 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/fa52f4a6e31b2a1583cf8e5da5b35567ffb1e9b3 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/functions/OBAWO_CLOSE_ORDER_EP.xml
---
(0104057)
hgbot (developer)
2018-04-24 14:19

Repository: erp/pmods/org.openbravo.idl
Changeset: 9e84a9b6d41fe94732805af32e01e98aa0e59a07
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 21:37:22 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/9e84a9b6d41fe94732805af32e01e98aa0e59a07 [^]

Fixes issue 37482: Unused PL variables - functional

---
M src-db/database/model/triggers/IDL_DATATYPE_VALIDATION_TRG.xml
---
(0104071)
hgbot (developer)
2018-04-25 10:45

Repository: erp/devel/pi
Changeset: e72425b17d36204c639c5551e0f73efddc75394a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Mar 30 20:38:22 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e72425b17d36204c639c5551e0f73efddc75394a [^]

Fixes issue 37482: unused PL variables - functional

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_ORD.xml
M src-db/database/model/functions/A_ASSET_CREATE.xml
M src-db/database/model/functions/C_CASH_POST.xml
M src-db/database/model/functions/C_CONVERT_DOC_CURRENCY.xml
M src-db/database/model/functions/C_CREATE_PINVOICE_FROM_OUTS.xml
M src-db/database/model/functions/C_GETWITHHOLDING.xml
M src-db/database/model/functions/C_GET_CURRENCY_PRECISION.xml
M src-db/database/model/functions/C_INVOICE_CREATERECEIPT.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/C_PROJECT_WON.xml
M src-db/database/model/functions/MRP_PURCHASEPLAN.xml
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/postscript-PostgreSql.sql
---
(0104072)
hgbot (developer)
2018-04-25 10:45

Repository: erp/devel/pi
Changeset: 36350507a8ac6ac3416f96b79783b31f6873b39d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Apr 23 17:20:41 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/36350507a8ac6ac3416f96b79783b31f6873b39d [^]

Related to issue 37482: Code review improvements

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_ISPAYMENTCONFIRMED.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNOINVPAIDSTATUS.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNUMBERPAYMENTSTATUS.xml
M src-db/database/model/functions/A_ASSET_CREATE.xml
M src-db/database/model/functions/C_BP_SOCREDITUSED_REFRESH.xml
M src-db/database/model/functions/C_CASH_POST.xml
M src-db/database/model/functions/C_CONVERT_DOC_CURRENCY.xml
M src-db/database/model/functions/C_CREATE_PINVOICE_FROM_OUTS.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT_PRECISION.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT_RATE.xml
M src-db/database/model/functions/C_CURRENCY_RATE.xml
M src-db/database/model/functions/C_GETWITHHOLDING.xml
M src-db/database/model/functions/C_GET_CURRENCY_PRECISION.xml
M src-db/database/model/functions/C_GET_NET_AMOUNT_FROM_GROSS.xml
M src-db/database/model/functions/C_GET_NET_PRICE_FROM_GROSS.xml
M src-db/database/model/functions/C_GET_TAX_AMT_FROM_NET.xml
M src-db/database/model/functions/C_INVOICE_CREATE0.xml
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/functions/C_PROJECT_WON.xml
M src-db/database/model/functions/C_TAXPAYMENT_POST.xml
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
M src-db/database/model/functions/MRP_RUN_EXPLODE.xml
M src-db/database/model/functions/MRP_RUN_INITIALIZE.xml
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
M src-db/database/model/functions/M_INOUT_CREATE0.xml
M src-db/database/model/functions/M_MOVEMENT_POST.xml
M src-db/database/model/functions/M_RESERVATION_REALLOCATE.xml
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
M src-db/database/model/functions/M_WAREHOUSE_DEFAULT_RULE_PARAM.xml
M src-db/database/model/postscript-PostgreSql.sql
M src-db/database/model/triggers/M_RESERVATION_TRG.xml
---
(0104084)
aferraz (developer)
2018-04-26 09:27

Reviewed
(0104396)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104397)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-14 16:16 alostale New Issue
2017-12-14 16:16 alostale Assigned To => Triage Finance
2017-12-14 16:16 alostale Modules => Core
2017-12-14 16:16 alostale Triggers an Emergency Pack => No
2017-12-14 16:16 alostale Issue generated from 0037481
2017-12-14 16:16 alostale Relationship added related to 0037481
2017-12-14 16:16 alostale File Added: pl-warns-functional.diff
2017-12-14 16:24 alostale Note Added: 0101041
2017-12-15 12:27 dmiguelez Assigned To Triage Finance => dmiguelez
2017-12-15 12:27 dmiguelez Status new => scheduled
2018-01-05 12:42 hgbot Checkin
2018-01-05 12:42 hgbot Note Added: 0101585
2018-01-05 12:42 hgbot Status scheduled => resolved
2018-01-05 12:42 hgbot Resolution open => fixed
2018-01-05 12:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d2566d2bf351bc3c8198fe0473bd31f26fc760b [^]
2018-01-05 12:42 hgbot Checkin
2018-01-05 12:42 hgbot Note Added: 0101586
2018-01-05 12:42 hgbot Checkin
2018-01-05 12:42 hgbot Note Added: 0101587
2018-01-05 12:43 hgbot Checkin
2018-01-05 12:43 hgbot Note Added: 0101588
2018-01-08 17:47 hgbot Checkin
2018-01-08 17:47 hgbot Note Added: 0101624
2018-02-02 17:21 dmitry_mezentsev Note Added: 0102159
2018-02-05 11:56 dmiguelez Status resolved => new
2018-02-05 11:56 dmiguelez Resolution fixed => open
2018-02-05 11:56 dmiguelez Status new => scheduled
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102640
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102641
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102642
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102643
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102648
2018-04-23 15:36 hgbot Checkin
2018-04-23 15:36 hgbot Note Added: 0104029
2018-04-23 15:36 hgbot Status scheduled => resolved
2018-04-23 15:36 hgbot Resolution open => fixed
2018-04-23 15:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3d2566d2bf351bc3c8198fe0473bd31f26fc760b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/4e1d60eda4715e06aaf6383485340b191b9f07eb [^]
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104030
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104031
2018-04-23 15:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/4e1d60eda4715e06aaf6383485340b191b9f07eb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/839407e868549809d1c7bce30db9353039924afc [^]
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104032
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104033
2018-04-23 15:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/839407e868549809d1c7bce30db9353039924afc [^] => http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/25fe532fa744e1da84d86d23f21d8db2dbadc465 [^]
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104034
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104035
2018-04-23 15:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/25fe532fa744e1da84d86d23f21d8db2dbadc465 [^] => http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/aa63fb2b44aa41475477db594263578cefd0467d [^]
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104036
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104037
2018-04-23 15:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/aa63fb2b44aa41475477db594263578cefd0467d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt/rev/688d46634cb04cadb59d8548dc241f4f7496e252 [^]
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104038
2018-04-23 15:37 hgbot Checkin
2018-04-23 15:37 hgbot Note Added: 0104039
2018-04-23 15:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.materialmgmt.freightmgmt/rev/688d46634cb04cadb59d8548dc241f4f7496e252 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/24643eda2a5cc790973daceac4246744bce1a5d4 [^]
2018-04-23 18:03 aferraz Assigned To dmiguelez => collazoandy4
2018-04-23 21:33 hgbot Checkin
2018-04-23 21:33 hgbot Note Added: 0104044
2018-04-23 21:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/24643eda2a5cc790973daceac4246744bce1a5d4 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicesregisterbook/rev/de22d174b80b18faf56c358b2aed2e24ed9f0c89 [^]
2018-04-23 21:34 hgbot Checkin
2018-04-23 21:34 hgbot Note Added: 0104045
2018-04-23 21:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicesregisterbook/rev/de22d174b80b18faf56c358b2aed2e24ed9f0c89 [^] => http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/c262fe039fffa93fa10a13a0f54f823f1419c3b7 [^]
2018-04-23 21:35 hgbot Checkin
2018-04-23 21:35 hgbot Note Added: 0104046
2018-04-23 21:35 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/c262fe039fffa93fa10a13a0f54f823f1419c3b7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/3afda303b53fa87cc7d9afb116f798e8a51785d1 [^]
2018-04-23 21:35 hgbot Checkin
2018-04-23 21:35 hgbot Note Added: 0104047
2018-04-23 21:35 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/3afda303b53fa87cc7d9afb116f798e8a51785d1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/a464669f3e5242a4631cad13690f9d6fc94fb356 [^]
2018-04-23 21:37 hgbot Checkin
2018-04-23 21:37 hgbot Note Added: 0104048
2018-04-23 21:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/a464669f3e5242a4631cad13690f9d6fc94fb356 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/ba5c9851f6993ffd2bee35994c005fadd4b5ec36 [^]
2018-04-23 21:38 hgbot Checkin
2018-04-23 21:38 hgbot Note Added: 0104049
2018-04-24 14:14 hgbot Checkin
2018-04-24 14:14 hgbot Note Added: 0104056
2018-04-24 14:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/ba5c9851f6993ffd2bee35994c005fadd4b5ec36 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/fa52f4a6e31b2a1583cf8e5da5b35567ffb1e9b3 [^]
2018-04-24 14:19 hgbot Checkin
2018-04-24 14:19 hgbot Note Added: 0104057
2018-04-24 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/fa52f4a6e31b2a1583cf8e5da5b35567ffb1e9b3 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/9e84a9b6d41fe94732805af32e01e98aa0e59a07 [^]
2018-04-25 10:45 hgbot Checkin
2018-04-25 10:45 hgbot Note Added: 0104071
2018-04-25 10:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/9e84a9b6d41fe94732805af32e01e98aa0e59a07 [^] => http://code.openbravo.com/erp/devel/pi/rev/e72425b17d36204c639c5551e0f73efddc75394a [^]
2018-04-25 10:45 hgbot Checkin
2018-04-25 10:45 hgbot Note Added: 0104072
2018-04-26 09:27 aferraz Review Assigned To => aferraz
2018-04-26 09:27 aferraz Note Added: 0104084
2018-04-26 09:27 aferraz Status resolved => closed
2018-04-26 09:27 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104396
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104397
2019-09-24 08:41 Sandrahuguet Relationship added related to 0041871


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker